Remove LINK_MAX.
ClosedPublic

Authored by jhb on Dec 28 2017, 12:36 AM.

Details

Summary

After recent changes to change filesystems to use filesystem-specific
limits, LINK_MAX is no longer used in the base system. Applications
should in theory be able to cope with a lack of LINK_MAX by using
pathconf().

Test Plan
  • tinderbox passed
  • need to do an exp-run

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jhb created this revision.Dec 28 2017, 12:36 AM
imp accepted this revision.Dec 28 2017, 12:59 AM
This revision is now accepted and ready to land.Dec 28 2017, 12:59 AM
kib accepted this revision.Jan 2 2018, 10:24 PM
Closed by commit rS327598: Remove LINK_MAX. (authored by jhb, committed by ). · Explain WhyJan 5 2018, 10:26 PM
This revision was automatically updated to reflect the committed changes.